with GNATCOM.Dispinterface;

package MSHTML.DispSVGEllipseElement_Object is

   type DispSVGEllipseElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure PutRef_cx
     (This : DispSVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_cx
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_cy
     (This : DispSVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_cy
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_rx
     (This : DispSVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_rx
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_ry
     (This : DispSVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_ry
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_transform
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_nearestViewportElement
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_farthestViewportElement
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function getBBox
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function getCTM
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function getScreenCTM
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function getTransformToElement
     (This     : DispSVGEllipseElement_Type;
      pElement : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_xmlbase
     (This : DispSVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_xmlbase
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_ownerSVGElement
     (This : DispSVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_ownerSVGElement
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_viewportElement
     (This : DispSVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_viewportElement
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure PutRef_focusable
     (This : DispSVGEllipseElement_Type;
      P1   : GNATCOM.Types.VARIANT);

   function Get_focusable
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_requiredFeatures
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_requiredExtensions
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_systemLanguage
     (This : DispSVGEllipseElement_Type)
     return GNATCOM.Types.VARIANT;

   function hasExtension
     (This      : DispSVGEllipseElement_Type;
      extension : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispSVGEllipseElement_Object;

